Subject: Re: linux-next: build failure after merge of the final tree (ubi tree related)

From: Artem Bityutskiy <[email-masked]>
Date: Wed, 16 Mar 2011 09:22:50 +0200

On Wed, 2011-03-16 at 17:50 +1100, ext Stephen Rothwell wrote:
> Hi all,
> 
> After merging the final tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/mtd/ubi/io.c: In function 'ubi_dbg_check_write':
> drivers/mtd/ubi/io.c:1348: error: 'PAGE_KERNEL' undeclared (first use in this function)
> drivers/mtd/ubi/io.c: In function 'ubi_dbg_check_all_ff':
> drivers/mtd/ubi/io.c:1412: error: 'PAGE_KERNEL' undeclared (first use in this function)
> 
> Caused by commit 823ed5091113 ("UBI: allocate write checking buffer on demand").
> 
> I don't know how to fix this, so I have left it for today.

Hmm, strange, include <linux/vmalloc.h> should be enough to use
__vmalloc with 'PAGE_KERNEL' AFAICS, and we have this include... I'll
try to look better.

--
Best Regards,
Artem Bityutskiy (Артём Битюцкий)